> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-5/v5-8-2.md).

# Version 5.8.2 Changelog (August 27, 2012)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 5.8.2.14916

Release Date: August 27, 2012

### Notes

* Added PDFViewCtrl.setTool() to set the current tool used by PDFViewCtrl without going through the ToolManager interface.
* Added PDFViewCtrl.update(boolean) to allow update all the rendered regions, not just the visible region.
* Added PDFViewCtrl.setRightToLeftLanguage(boolean) to support right-2-left languages.
* Added PDFViewCtrl.getPageSlidingCanvasTransform().
* Added pdftron.Filters.CustomFilter to support custom reading/writting. An example is added to PDFViewCtrlDemo.
* Added pdftron.PDF.PDFDoc.save(pdftron.Filters.Filter) method to save to a filter.
* Fixed an issue in JB that clicking a QuickMenu item doesn't properly set the tool.
* Changed PDFViewCtrl.openURL() to start downloading in a worker thread to prevent UI from being locked up.
* Added Font.createTrueTypeFont(Doc, java.io.InputStream, ...), and Font.createCIDTrueTypeFont(Doc, java.io.InputStream, ...) methods.
* Misc bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-5/v5-8-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
